source: spip-zone/_plugins_/spip_fckeditor/plugin.xml @ 40286

Last change on this file since 40286 was 40286, checked in by brunobergot@…, 11 years ago

categorie edition

File size: 3.6 KB
Line 
1<plugin>
2        <nom>FCKeditor pour Spip (1.9.2b)</nom>
3        <auteur>[Frank SAURET->http://electropol.free.fr], Val&eacute;rian &#169; 2007
4      <br />Distribu&eacute; sous licence GNU/GPL
5      <br />Logo [Everaldo Coelho->http://www.everaldo.com]
6   </auteur>
7        <version>1.703</version>
8        <etat><!-- Etat du plugin, au choix : dev (developpement), test, stable, experimental -->
9        stable</etat>
10        <lien>Aide compl&#232;te sur [Electropol->http://electropol.free.fr]</lien>
11        <icon>images/edit.png</icon>   
12                <!-- préfixe des fonctions, filtres et fichers de votre plugin :
13                toutes vos fonctions doivent commencer par ce prefixe suivi de _ (ici : fckeditor_ma_fonction() par exemple)
14                C'est par ailleurs conseille pour les noms de fichier
15                Deux plugin ne peuvent pas avoir le meme prefixe, donc ne gardez pas celui la ! :)
16                -->
17    <prefix>fckeditor</prefix> 
18        <!-- Definitions des fonctions qui s'inserent dans les pipelines -->
19        <pipeline>
20                <!-- pipeline qui permet de modifier les pages publiques html issues du cache ou du calcul avant leur envoi au navigateur
21                il permet de modifier n'importe quoi, mais est execute a chaque fois et ne profite pas du cache
22                il est donc a reserver pour des plugins qui ne sont pas utilises en production de preference
23                -->
24                <nom>header_prive</nom> 
25                <action>header_prive</action>
26                <inclure>fckeditor_pipelines.php</inclure>
27        </pipeline>     
28       
29<description>
30{{{Edition WYSIWYG avec FCKeditor}}}
31
32<br /><br />
33<!--
34<u>Fin de l'installation et mise &agrave; jour :</u>
35-* -Vous devez avoir install&#233; et valid&#233; le plugin {{Chargeur}}
36-* -Pour finir d'installer FCKEditor vous devez cliquer [ici->../?action=charger&amp;depot=http://electropol.free.fr/spip/IMG/File/&amp;zip=fckeditor&amp;dest_path=plugins/fckeditor] pour t&#233;l&#233;charger automatiquement la derni&#232;re version valid&#233;e pour ce plugin de FCKEditor.
37-* -Pour utiliser Geshi (coloration syntaxique), vous devez cliquer [ici->../?action=charger&amp;depot=http://electropol.free.fr/spip/IMG/File/&amp;zip=geshi&amp;dest_path=plugins/fckeditor/spip_fck/plugins/coloration] pour ajouter le module correspondant.
38Attention : Ces fonctions ne marchent pas bien et ne sont l&agrave; qu'&agrave; titre exp&#233;rimental.
39-->
40<br />{{Caract&#233;ristiques :}}<br />
41- Edition des articles, des br&#232;ves et des rubriques,
42- Propose un bouton pour passer de l'&#233;diteur FCKEditor &agrave; l'&#233;diteur SPIP,
43- G&#233;n&#232;re du HTML,
44- Possibilit&#233; de lier et d'ins&#233;rer des fichiers et images envoy&#233;s par SPIP,
45- Suppression du d&#233;coupage de texte long,
46- Coloration syntaxique du code (Geshi).
47
48<br />{{Limitations :}}<br />
49- Ne pas mixer pour un m&ecirc;me article l'&eacute;dition WYSIWYG et le code SPIP,
50- Les fichiers envoy&eacute;s sur le serveur par l'interm&eacute;diaire de FCKeditor sont partag&eacute;s entre tous les utilisateurs,
51- Les fichiers envoy&eacute;s par l'interm&eacute;diaire de FCKeditor ne sont pas utilisables par SPIP,
52- Le plugin doit &#234;tre install&#233; dans la racine du r&#233;pertoire plugin de spip,
53- Le plugin n'est, &agrave; priori, pas compatible avec les plugins qui modifient les barres d'&#233;ditions (apparition de multiples boutons).
54
55<br />{{Info :}}<br />
56- De nombreux boutons peuvent &#234;tre jug&#233;s inutiles (voire dangereux) par les uns ou les autres. Pour faire vos propres barre d'outils, vous pouvez retoucher le fichier fckconfig.php (dans le dossier spip_fck). L&#224;, changez FCKConfig.ToolbarSets (BarreArticle, BarreBreve et BarreRubrique),
57 
58</description>
59        <categorie>edition</categorie>
60        <necessite id="SPIP" version="[1.9.2;]" />
61</plugin>
Note: See TracBrowser for help on using the repository browser.